<?php

/**
 * SB_AutoloadClassmap.php
 *
 * Holds mappings from classes to files, to be added to the global array
 * $wgAutoloadClasses, for extensions/libraries that were designed to be
 * installed via Composer and thus don't have their own autoload calls.
 * These extensions/libraries include DataValues, ParamProcessor,
 * Semantic MediaWiki, Semantic Result Formats and others.
 *
 * This file is copied from the file autoload_classmap.php, which is
 * generated automatically by Composer, with slight changes at the top and
 * various additions at the bottom.
 */

$vendorDir = dirname(__FILE__);

return array(
    'Comparable' => $vendorDir . '/data-values/data-values/src/interfaces/Comparable.php',
    'Copyable' => $vendorDir . '/data-values/data-values/src/interfaces/Copyable.php',
    'CriterionIsNonNumeric' => $IP . '/extensions/Maps/includes/criteria/CriterionIsNonNumeric.php',
    'CriterionMapLayer' => $IP . '/extensions/Maps/includes/criteria/CriterionMapLayer.php',
    'CriterionOLLayer' => $IP . '/extensions/Maps/includes/services/OpenLayers/CriterionOLLayer.php',
    'DataValues\\Tests\\DataValueTest' => $vendorDir . '/data-values/data-values/tests/phpunit/DataValueTest.php',
    'Hashable' => $vendorDir . '/data-values/data-values/src/interfaces/Hashable.php',
    'Immutable' => $vendorDir . '/data-values/data-values/src/interfaces/Immutable.php',
    'MapEditorHtml' => $IP . '/extensions/Maps/includes/editor/MapEditorHTML.php',
    'MapsBaseFillableElement' => $IP . '/extensions/Maps/includes/Maps_BaseFillableElement.php',
    'MapsBaseStrokableElement' => $IP . '/extensions/Maps/includes/Maps_BaseStrokableElement.php',
    'MapsCoordinates' => $IP . '/extensions/Maps/includes/parserhooks/Maps_Coordinates.php',
    'MapsDisplayMap' => $IP . '/extensions/Maps/includes/parserhooks/Maps_DisplayMap.php',
    'MapsDisplayMapRenderer' => $IP . '/extensions/Maps/includes/Maps_DisplayMapRenderer.php',
    'MapsDistance' => $IP . '/extensions/Maps/includes/parserhooks/Maps_Distance.php',
    'MapsDistanceParser' => $IP . '/extensions/Maps/includes/Maps_DistanceParser.php',
    'MapsFinddestination' => $IP . '/extensions/Maps/includes/parserhooks/Maps_Finddestination.php',
    'MapsGeoFunctions' => $IP . '/extensions/Maps/includes/Maps_GeoFunctions.php',
    'MapsGeocode' => $IP . '/extensions/Maps/includes/parserhooks/Maps_Geocode.php',
    'MapsGeocoderusGeocoder' => $IP . '/extensions/Maps/includes/geocoders/Maps_GeocoderusGeocoder.php',
    'MapsGeodistance' => $IP . '/extensions/Maps/includes/parserhooks/Maps_Geodistance.php',
    'MapsGeonamesGeocoder' => $IP . '/extensions/Maps/includes/geocoders/Maps_GeonamesGeocoder.php',
    'MapsGoogleGeocoder' => $IP . '/extensions/Maps/includes/geocoders/Maps_GoogleGeocoder.php',
    'MapsGoogleMaps3' => $IP . '/extensions/Maps/includes/services/GoogleMaps3/Maps_GoogleMaps3.php',
    'MapsHooks' => $IP . '/extensions/Maps/Maps.hooks.php',
    'MapsImageLayer' => $IP . '/extensions/Maps/includes/layers/Maps_ImageLayer.php',
    'MapsKMLFormatter' => $IP . '/extensions/Maps/includes/Maps_KMLFormatter.php',
    'MapsKMLLayer' => $IP . '/extensions/Maps/includes/layers/Maps_KMLLayer.php',
    'MapsLayer' => $IP . '/extensions/Maps/includes/Maps_Layer.php',
    'MapsLayerDefinition' => $IP . '/extensions/Maps/includes/parserhooks/Maps_LayerDefinition.php',
    'MapsLayerGroup' => $IP . '/extensions/Maps/includes/Maps_LayerGroup.php',
    'MapsLayerPage' => $IP . '/extensions/Maps/includes/Maps_LayerPage.php',
    'MapsLayerTypes' => $IP . '/extensions/Maps/includes/Maps_LayerTypes.php',
    'MapsLayers' => $IP . '/extensions/Maps/includes/Maps_Layers.php',
    'MapsLeaflet' => $IP . '/extensions/Maps/includes/services/Leaflet/Maps_Leaflet.php',
    'MapsMapper' => $IP . '/extensions/Maps/includes/Maps_Mapper.php',
    'MapsMappingService' => $IP . '/extensions/Maps/includes/Maps_MappingService.php',
    'MapsMappingServices' => $IP . '/extensions/Maps/includes/Maps_MappingServices.php',
    'MapsMapsDoc' => $IP . '/extensions/Maps/includes/parserhooks/Maps_MapsDoc.php',
    'MapsOpenLayers' => $IP . '/extensions/Maps/includes/services/OpenLayers/Maps_OpenLayers.php',
    'MapsParamLayerDefinition' => $IP . '/extensions/Maps/includes/manipulations/Maps_ParamLayerDefinition.php',
    'MapsParamOLLayers' => $IP . '/extensions/Maps/includes/services/OpenLayers/Maps_ParamOLLayers.php',
    'MapsParamSwitchIfGreaterThan' => $IP . '/extensions/Maps/includes/manipulations/Maps_ParamSwitchIfGreaterThan.php',
    'Maps\\Api\\Geocode' => $IP . '/extensions/Maps/includes/api/ApiGeocode.php',
    'Maps\\CircleParser' => $IP . '/extensions/Maps/includes/parsers/CircleParser.php',
    'Maps\\DistanceParser' => $IP . '/extensions/Maps/includes/parsers/DistanceParser.php',
    'Maps\\Element' => $IP . '/extensions/Maps/includes/Element.php',
    'Maps\\ElementOptions' => $IP . '/extensions/Maps/includes/Element.php',
    'Maps\\Elements\\BaseElement' => $IP . '/extensions/Maps/src/Maps/Elements/BaseElement.php',
    'Maps\\Elements\\Circle' => $IP . '/extensions/Maps/src/Maps/Elements/Circle.php',
    'Maps\\Elements\\ImageOverlay' => $IP . '/extensions/Maps/src/Maps/Elements/ImageOverlay.php',
    'Maps\\Elements\\Line' => $IP . '/extensions/Maps/src/Maps/Elements/Line.php',
    'Maps\\Elements\\Location' => $IP . '/extensions/Maps/src/Maps/Elements/Location.php',
    'Maps\\Elements\\Polygon' => $IP . '/extensions/Maps/src/Maps/Elements/Polygon.php',
    'Maps\\Elements\\Rectangle' => $IP . '/extensions/Maps/src/Maps/Elements/Rectangle.php',
    'Maps\\Elements\\WmsOverlay' => $IP . '/extensions/Maps/src/Maps/Elements/WmsOverlay.php',
    'Maps\\Geocoder' => $IP . '/extensions/Maps/includes/Geocoder.php',
    'Maps\\Geocoders' => $IP . '/extensions/Maps/includes/Geocoders.php',
    'Maps\\LineParser' => $IP . '/extensions/Maps/includes/parsers/LineParser.php',
    'Maps\\LocationParser' => $IP . '/extensions/Maps/includes/parsers/LocationParser.php',
    'Maps\\OptionsObject' => $IP . '/extensions/Maps/includes/Element.php',
    'Maps\\PolygonParser' => $IP . '/extensions/Maps/includes/parsers/PolygonParser.php',
    'Maps\\RectangleParser' => $IP . '/extensions/Maps/includes/parsers/RectangleParser.php',
    'Maps\\ServiceParam' => $IP . '/extensions/Maps/includes/ServiceParam.php',
    'Maps\\Test\\ParserHookTest' => $IP . '/extensions/Maps/tests/phpunit/parserhooks/ParserHookTest.php',
    'Maps\\Tests\\Elements\\BaseElementTest' => $IP . '/extensions/Maps/tests/phpunit/elements/BaseElementTest.php',
    'Maps\\Tests\\Elements\\CircleTest' => $IP . '/extensions/Maps/tests/phpunit/elements/CircleTest.php',
    'Maps\\Tests\\Elements\\ImageOverlayTest' => $IP . '/extensions/Maps/tests/phpunit/elements/ImageOverlayTest.php',
    'Maps\\Tests\\Elements\\LineTest' => $IP . '/extensions/Maps/tests/phpunit/elements/LineTest.php',
    'Maps\\Tests\\Elements\\LocationTest' => $IP . '/extensions/Maps/tests/phpunit/elements/LocationTest.php',
    'Maps\\Tests\\Elements\\PolygonTest' => $IP . '/extensions/Maps/tests/phpunit/elements/PolygonTest.php',
    'Maps\\Tests\\Elements\\RectangleTest' => $IP . '/extensions/Maps/tests/phpunit/elements/RectangleTest.php',
    'Maps\\WmsOverlayParser' => $IP . '/extensions/Maps/includes/parsers/WmsOverlayParser.php',
    'ParamProcessor\\Tests\\Definitions\\NumericParamTest' => $vendorDir . '/param-processor/param-processor/tests/phpunit/Definitions/NumericParamTest.php',
    'ParamProcessor\\Tests\\Definitions\\ParamDefinitionTest' => $vendorDir . '/param-processor/param-processor/tests/phpunit/Definitions/ParamDefinitionTest.php',
    'PolygonHandler' => $IP . '/extensions/SemanticMaps/src/SM_PolygonHandler.php',
    'ProcessEdge' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'ProcessElement' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'ProcessGraph' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'ProcessNode' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'ProcessRessource' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'ProcessRole' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'SMAreaValueDescription' => $IP . '/extensions/SemanticMaps/src/SM_AreaValueDescription.php',
    'SMFormInput' => $IP . '/extensions/SemanticMaps/src/forminputs/SM_FormInput.php',
    'SMGeoCoordsValue' => $IP . '/extensions/SemanticMaps/src/SM_GeoCoordsValue.php',
    'SMGeoCoordsValueDescription' => $IP . '/extensions/SemanticMaps/src/SM_GeoCoordsValueDescription.php',
    'SMGeoPolygonsValue' => $IP . '/extensions/SemanticMaps/src/SM_GeoPolygonsValue.php',
    'SMGoogleMaps3FormInput' => $IP . '/extensions/SemanticMaps/src/services/GoogleMaps3/SM_GoogleMaps3FormInput.php',
    'SMKMLPrinter' => $IP . '/extensions/SemanticMaps/src/queryprinters/SM_KMLPrinter.php',
    'SMMapPrinter' => $IP . '/extensions/SemanticMaps/src/queryprinters/SM_MapPrinter.php',
    'SMQueryHandler' => $IP . '/extensions/SemanticMaps/src/queryprinters/SM_QueryHandler.php',
    'SMQueryPrinters' => $IP . '/extensions/SemanticMaps/src/queryprinters/SM_QueryPrinters.php',
    'SMWAdmin' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SMW_SpecialSMWAdmin.php',
    'SMWAskPage' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SMW_SpecialAsk.php',
    'SMWBibTeXEntry' => $IP . '/extensions/SemanticResultFormats/formats/bibtex/SRF_BibTeX.php',
    'SMWBoolValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_Bool.php',
    'SMWCategoryResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/SMW_QP_Category.php',
    'SMWClassDescription' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_Description.php',
    'SMWConceptDescription' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_Description.php',
    'SMWConceptValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_Concept.php',
    'SMWConjunction' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_Description.php',
    'SMWContainerSemanticData' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_Container.php',
    'SMWDIBlob' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_Blob.php',
    'SMWDIBoolean' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_Bool.php',
    'SMWDIContainer' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_Container.php',
    'SMWDIError' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_Error.php',
    'SMWDIGeoCoord' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_GeoCoord.php',
    'SMWDIHandlerBlob' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_DIHandler_Blob.php',
    'SMWDIHandlerBoolean' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_DIHandler_Bool.php',
    'SMWDIHandlerConcept' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_DIHandler_Concept.php',
    'SMWDIHandlerGeoCoord' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_DIHandler_GeoCoord.php',
    'SMWDIHandlerNumber' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_DIHandler_Number.php',
    'SMWDIHandlerTime' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_DIHandler_Time.php',
    'SMWDIHandlerUri' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_DIHandler_URI.php',
    'SMWDIHandlerWikiPage' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_DIHandler_WikiPage.php',
    'SMWDINumber' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_Number.php',
    'SMWDIProperty' => $IP . '/extensions/SemanticMediaWiki/includes/Aliases.php',
    'SMWDISerializer' => $IP . '/extensions/SemanticMediaWiki/includes/Aliases.php',
    'SMWDIString' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_String.php',
    'SMWDITime' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_Time.php',
    'SMWDIUri' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_URI.php',
    'SMWDIWikiPage' => $IP . '/extensions/SemanticMediaWiki/includes/Aliases.php',
    'SMWDSVResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/SMW_QP_DSV.php',
    'SMWDataItem' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DataItem.php',
    'SMWDataItemException' => $IP . '/extensions/SemanticMediaWiki/includes/Aliases.php',
    'SMWDataItemHandler' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_DataItemHandler.php',
    'SMWDataValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DataValue.php',
    'SMWDescription' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_Description.php',
    'SMWDisjunction' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_Description.php',
    'SMWEmbeddedResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/SMW_QP_Embedded.php',
    'SMWErrorValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_Error.php',
    'SMWExpData' => $IP . '/extensions/SemanticMediaWiki/includes/export/SMW_Exp_Data.php',
    'SMWExpElement' => $IP . '/extensions/SemanticMediaWiki/includes/export/SMW_Exp_Element.php',
    'SMWExpLiteral' => $IP . '/extensions/SemanticMediaWiki/includes/export/SMW_Exp_Element.php',
    'SMWExpNsResource' => $IP . '/extensions/SemanticMediaWiki/includes/export/SMW_Exp_Element.php',
    'SMWExpResource' => $IP . '/extensions/SemanticMediaWiki/includes/export/SMW_Exp_Element.php',
    'SMWExportController' => $IP . '/extensions/SemanticMediaWiki/includes/export/SMW_ExportController.php',
    'SMWExporter' => $IP . '/extensions/SemanticMediaWiki/includes/export/SMW_Exporter.php',
    'SMWHooks' => $IP . '/extensions/SemanticMediaWiki/SemanticMediaWiki.hooks.php',
    'SMWIResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/SMW_IResultPrinter.php',
    'SMWImportValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_Import.php',
    'SMWInfolink' => $IP . '/extensions/SemanticMediaWiki/includes/SMW_Infolink.php',
    'SMWLanguage' => $IP . '/extensions/SemanticMediaWiki/languages/SMW_Language.php',
    'SMWNamespaceDescription' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_Description.php',
    'SMWNumberValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_Number.php',
    'SMWOrderedListPage' => $IP . '/extensions/SemanticMediaWiki/includes/articlepages/SMW_OrderedListPage.php',
    'SMWOutputs' => $IP . '/extensions/SemanticMediaWiki/includes/SMW_Outputs.php',
    'SMWPageLister' => $IP . '/extensions/SemanticMediaWiki/includes/SMW_PageLister.php',
    'SMWPageProperty' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SMW_SpecialPageProperty.php',
    'SMWPageSchemas' => $IP . '/extensions/SemanticMediaWiki/includes/SMW_PageSchemas.php',
    'SMWParamFormat' => $IP . '/extensions/SemanticMediaWiki/includes/params/SMW_ParamFormat.php',
    'SMWParseData' => $IP . '/extensions/SemanticMediaWiki/includes/SMW_ParseData.php',
    'SMWPrintRequest' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_PrintRequest.php',
    'SMWPropertyListValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_PropertyList.php',
    'SMWPropertyPage' => $IP . '/extensions/SemanticMediaWiki/includes/articlepages/SMW_PropertyPage.php',
    'SMWPropertyValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_Property.php',
    'SMWQuantityValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_Quantity.php',
    'SMWQuery' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_Query.php',
    'SMWQueryLanguage' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_QueryLanguage.php',
    'SMWQueryParser' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_QueryParser.php',
    'SMWQueryProcessor' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_QueryProcessor.php',
    'SMWQueryResult' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_QueryResult.php',
    'SMWQuerySpecialPage' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SMW_QuerySpecialPage.php',
    'SMWRDFResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/SMW_QP_RDF.php',
    'SMWRDFXMLSerializer' => $IP . '/extensions/SemanticMediaWiki/includes/export/SMW_Serializer_RDFXML.php',
    'SMWRecordValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_Record.php',
    'SMWRefreshJob' => $IP . '/extensions/SemanticMediaWiki/includes/Aliases.php',
    'SMWRequestOptions' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_RequestOptions.php',
    'SMWResultArray' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_ResultArray.php',
    'SMWResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/Aliases.php',
    'SMWSQLHelpers' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_SQLHelpers.php',
    'SMWSQLStore3' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3.php',
    'SMWSQLStore3Query' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Queries.php',
    'SMWSQLStore3QueryEngine' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Queries.php',
    'SMWSQLStore3Readers' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Readers.php',
    'SMWSQLStore3SetupHandlers' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_SetupHandlers.php',
    'SMWSQLStore3Writers' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php',
    'SMWSearchByProperty' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SMW_SpecialSearchByProperty.php',
    'SMWSemanticData' => $IP . '/extensions/SemanticMediaWiki/includes/Aliases.php',
    'SMWSerializer' => $IP . '/extensions/SemanticMediaWiki/includes/export/SMW_Serializer.php',
    'SMWSomeProperty' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_Description.php',
    'SMWSparqlCondition' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_SparqlStoreQueryEngine.php',
    'SMWSparqlDatabase' => $IP . '/extensions/SemanticMediaWiki/includes/sparql/SMW_SparqlDatabase.php',
    'SMWSparqlDatabase4Store' => $IP . '/extensions/SemanticMediaWiki/includes/sparql/SMW_SparqlDatabase4Store.php',
    'SMWSparqlDatabaseError' => $IP . '/extensions/SemanticMediaWiki/includes/sparql/SMW_SparqlDatabase.php',
    'SMWSparqlDatabaseVirtuoso' => $IP . '/extensions/SemanticMediaWiki/includes/sparql/SMW_SparqlDatabaseVirtuoso.php',
    'SMWSparqlFalseCondition' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_SparqlStoreQueryEngine.php',
    'SMWSparqlFilterCondition' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_SparqlStoreQueryEngine.php',
    'SMWSparqlResultParser' => $IP . '/extensions/SemanticMediaWiki/includes/sparql/SMW_SparqlResultParser.php',
    'SMWSparqlResultWrapper' => $IP . '/extensions/SemanticMediaWiki/includes/sparql/SMW_SparqlResultWrapper.php',
    'SMWSparqlSingletonCondition' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_SparqlStoreQueryEngine.php',
    'SMWSparqlStore' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_SparqlStore.php',
    'SMWSparqlStoreQueryEngine' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_SparqlStoreQueryEngine.php',
    'SMWSparqlTrueCondition' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_SparqlStoreQueryEngine.php',
    'SMWSparqlWhereCondition' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_SparqlStoreQueryEngine.php',
    'SMWSpecialBrowse' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SMW_SpecialBrowse.php',
    'SMWSpecialOWLExport' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SMW_SpecialOWLExport.php',
    'SMWSpecialTypes' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SMW_SpecialTypes.php',
    'SMWSql3SmwIds' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_Sql3SmwIds.php',
    'SMWSql3StubSemanticData' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_Sql3StubSemanticData.php',
    'SMWStore' => $IP . '/extensions/SemanticMediaWiki/includes/Aliases.php',
    'SMWStringCondition' => $IP . '/extensions/SemanticMediaWiki/includes/storage/StringCondition.php',
    'SMWStringLengthException' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_String.php',
    'SMWStringValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_String.php',
    'SMWTemperatureValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_Temperature.php',
    'SMWThingDescription' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_Description.php',
    'SMWTimeValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_Time.php',
    'SMWTurtleSerializer' => $IP . '/extensions/SemanticMediaWiki/includes/export/SMW_Serializer_Turtle.php',
    'SMWTypesValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_Types.php',
    'SMWURIResolver' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SMW_SpecialURIResolver.php',
    'SMWURIValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_URI.php',
    'SMWUpdateJob' => $IP . '/extensions/SemanticMediaWiki/includes/Aliases.php',
    'SMWValueDescription' => $IP . '/extensions/SemanticMediaWiki/includes/query/SMW_Description.php',
    'SMWWikiPageValue' => $IP . '/extensions/SemanticMediaWiki/includes/datavalues/SMW_DV_WikiPage.php',
    'SMW\\Accessible' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/ObjectDictionary.php',
    'SMW\\AggregatablePrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/AggregatablePrinter.php',
    'SMW\\ApiQueryResultFormatter' => $IP . '/extensions/SemanticMediaWiki/includes/formatters/ApiQueryResultFormatter.php',
    'SMW\\ApiRequestParameterFormatter' => $IP . '/extensions/SemanticMediaWiki/includes/formatters/ApiRequestParameterFormatter.php',
    'SMW\\ApiResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/ApiResultPrinter.php',
    'SMW\\Api\\Ask' => $IP . '/extensions/SemanticMediaWiki/includes/api/Ask.php',
    'SMW\\Api\\AskArgs' => $IP . '/extensions/SemanticMediaWiki/includes/api/AskArgs.php',
    'SMW\\Api\\Base' => $IP . '/extensions/SemanticMediaWiki/includes/api/Base.php',
    'SMW\\Api\\BrowseBySubject' => $IP . '/extensions/SemanticMediaWiki/includes/api/BrowseBySubject.php',
    'SMW\\Api\\Info' => $IP . '/extensions/SemanticMediaWiki/includes/api/Info.php',
    'SMW\\Api\\Query' => $IP . '/extensions/SemanticMediaWiki/includes/api/Query.php',
    'SMW\\ArrayFormatter' => $IP . '/extensions/SemanticMediaWiki/includes/formatters/ArrayFormatter.php',
    'SMW\\ArticlePurge' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/ArticlePurge.php',
    'SMW\\AskParserFunction' => $IP . '/extensions/SemanticMediaWiki/includes/parserhooks/AskParserFunction.php',
    'SMW\\BaseDependencyContainer' => $IP . '/extensions/SemanticMediaWiki/includes/dic/BaseDependencyContainer.php',
    'SMW\\BaseObserver' => $IP . '/extensions/SemanticMediaWiki/includes/BaseObserver.php',
    'SMW\\BaseTemplateToolbox' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/BaseTemplateToolbox.php',
    'SMW\\BeforePageDisplay' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/BeforePageDisplay.php',
    'SMW\\CacheHandler' => $IP . '/extensions/SemanticMediaWiki/includes/cache/CacheHandler.php',
    'SMW\\CacheIdGenerator' => $IP . '/extensions/SemanticMediaWiki/includes/cache/CacheIdGenerator.php',
    'SMW\\CacheableResultMapper' => $IP . '/extensions/SemanticMediaWiki/includes/cache/CacheableResultMapper.php',
    'SMW\\CategoryPropertyAnnotator' => $IP . '/extensions/SemanticMediaWiki/includes/annotator/CategoryPropertyAnnotator.php',
    'SMW\\Changeable' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/ObjectDictionary.php',
    'SMW\\Combinable' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/ObjectDictionary.php',
    'SMW\\ConceptPage' => $IP . '/extensions/SemanticMediaWiki/includes/articlepages/ConceptPage.php',
    'SMW\\ConceptParserFunction' => $IP . '/extensions/SemanticMediaWiki/includes/parserhooks/ConceptParserFunction.php',
    'SMW\\Configuration\\Configuration' => $IP . '/extensions/SemanticMediaWiki/includes/src/Configuration/Configuration.php',
    'SMW\\ContentParser' => $IP . '/extensions/SemanticMediaWiki/includes/ContentParser.php',
    'SMW\\ContentProcessor' => $IP . '/extensions/SemanticMediaWiki/includes/ContentProcessor.php',
    'SMW\\ContextAware' => $IP . '/extensions/SemanticMediaWiki/includes/context/ContextAware.php',
    'SMW\\ContextInjector' => $IP . '/extensions/SemanticMediaWiki/includes/context/ContextInjector.php',
    'SMW\\ContextResource' => $IP . '/extensions/SemanticMediaWiki/includes/context/ContextResource.php',
    'SMW\\CsvResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/CsvResultPrinter.php',
    'SMW\\DBConnectionProvider' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/DBConnectionProvider.php',
    'SMW\\DIConcept' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/DIConcept.php',
    'SMW\\DIProperty' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_Property.php',
    'SMW\\DIWikiPage' => $IP . '/extensions/SemanticMediaWiki/includes/dataitems/SMW_DI_WikiPage.php',
    'SMW\\DataItemException' => $IP . '/extensions/SemanticMediaWiki/includes/exceptions/DataItemException.php',
    'SMW\\DataTypeRegistry' => $IP . '/extensions/SemanticMediaWiki/includes/DataTypeRegistry.php',
    'SMW\\DataValueFactory' => $IP . '/extensions/SemanticMediaWiki/includes/DataValueFactory.php',
    'SMW\\DeclareParserFunction' => $IP . '/extensions/SemanticMediaWiki/includes/parserhooks/DeclareParserFunction.php',
    'SMW\\DependencyBuilder' => $IP . '/extensions/SemanticMediaWiki/includes/dic/DependencyBuilder.php',
    'SMW\\DependencyContainer' => $IP . '/extensions/SemanticMediaWiki/includes/dic/DependencyContainer.php',
    'SMW\\DependencyFactory' => $IP . '/extensions/SemanticMediaWiki/includes/dic/DependencyBuilder.php',
    'SMW\\DependencyInjector' => $IP . '/extensions/SemanticMediaWiki/includes/dic/DependencyInjector.php',
    'SMW\\DependencyObject' => $IP . '/extensions/SemanticMediaWiki/includes/dic/DependencyContainer.php',
    'SMW\\DependencyRequestor' => $IP . '/extensions/SemanticMediaWiki/includes/dic/DependencyRequestor.php',
    'SMW\\Deserializers\\Deserializer' => $IP . '/extensions/SemanticMediaWiki/includes/serializer/Deserializer.php',
    'SMW\\Deserializers\\SemanticDataDeserializer' => $IP . '/extensions/SemanticMediaWiki/includes/serializer/Deserializers/SemanticDataDeserializer.php',
    'SMW\\DispatchableSubject' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/DispatchableSubject.php',
    'SMW\\DocumentationParserFunction' => $IP . '/extensions/SemanticMediaWiki/includes/parserhooks/DocumentationParserFunction.php',
    'SMW\\EmptyContext' => $IP . '/extensions/SemanticMediaWiki/includes/context/EmptyContext.php',
    'SMW\\ExportPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/ExportPrinter.php',
    'SMW\\ExtensionContext' => $IP . '/extensions/SemanticMediaWiki/includes/context/ExtensionContext.php',
    'SMW\\Factbox' => $IP . '/extensions/SemanticMediaWiki/includes/Factbox.php',
    'SMW\\FactboxCache' => $IP . '/extensions/SemanticMediaWiki/includes/FactboxCache.php',
    'SMW\\FeedResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/FeedResultPrinter.php',
    'SMW\\FileExportPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/FileExportPrinter.php',
    'SMW\\FileUpload' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/FileUpload.php',
    'SMW\\FormatFactory' => $IP . '/extensions/SemanticMediaWiki/includes/FormatFactory.php',
    'SMW\\FunctionHook' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/FunctionHook.php',
    'SMW\\FunctionHookRegistry' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/FunctionHookRegistry.php',
    'SMW\\HashIdGenerator' => $IP . '/extensions/SemanticMediaWiki/includes/HashIdGenerator.php',
    'SMW\\Highlighter' => $IP . '/extensions/SemanticMediaWiki/includes/Highlighter.php',
    'SMW\\IdGenerator' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/IdGenerator.php',
    'SMW\\InfoParserFunction' => $IP . '/extensions/SemanticMediaWiki/includes/parserhooks/InfoParserFunction.php',
    'SMW\\InternalParseBeforeLinks' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/InternalParseBeforeLinks.php',
    'SMW\\InvalidNamespaceException' => $IP . '/extensions/SemanticMediaWiki/includes/exceptions/InvalidNamespaceException.php',
    'SMW\\InvalidPredefinedPropertyException' => $IP . '/extensions/SemanticMediaWiki/includes/exceptions/InvalidPredefinedPropertyException.php',
    'SMW\\InvalidPropertyException' => $IP . '/extensions/SemanticMediaWiki/includes/exceptions/InvalidPropertyException.php',
    'SMW\\InvalidResultException' => $IP . '/extensions/SemanticMediaWiki/includes/exceptions/InvalidResultException.php',
    'SMW\\InvalidSemanticDataException' => $IP . '/extensions/SemanticMediaWiki/includes/exceptions/InvalidSemanticDataException.php',
    'SMW\\InvalidSettingsArgumentException' => $IP . '/extensions/SemanticMediaWiki/includes/exceptions/InvalidSettingsArgumentException.php',
    'SMW\\InvalidStoreException' => $IP . '/extensions/SemanticMediaWiki/includes/exceptions/InvalidStoreException.php',
    'SMW\\JsonResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/JsonResultPrinter.php',
    'SMW\\LinksUpdateConstructed' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/LinksUpdateConstructed.php',
    'SMW\\ListResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/ListResultPrinter.php',
    'SMW\\MediaWikiPageInfoProvider' => $IP . '/extensions/SemanticMediaWiki/includes/MediaWikiPageInfoProvider.php',
    'SMW\\MediaWiki\\Database' => $IP . '/extensions/SemanticMediaWiki/includes/src/MediaWiki/Database.php',
    'SMW\\MediaWiki\\DirectDBConnectionProvider' => $IP . '/extensions/SemanticMediaWiki/includes/src/MediaWiki/DirectDBConnectionProvider.php',
    'SMW\\MediaWiki\\Jobs\\DeleteSubjectJob' => $IP . '/extensions/SemanticMediaWiki/includes/src/MediaWiki/Jobs/DeleteSubjectJob.php',
    'SMW\\MediaWiki\\Jobs\\JobBase' => $IP . '/extensions/SemanticMediaWiki/includes/src/MediaWiki/Jobs/JobBase.php',
    'SMW\\MediaWiki\\Jobs\\RefreshJob' => $IP . '/extensions/SemanticMediaWiki/includes/src/MediaWiki/Jobs/RefreshJob.php',
    'SMW\\MediaWiki\\Jobs\\UpdateDispatcherJob' => $IP . '/extensions/SemanticMediaWiki/includes/src/MediaWiki/Jobs/UpdateDispatcherJob.php',
    'SMW\\MediaWiki\\Jobs\\UpdateJob' => $IP . '/extensions/SemanticMediaWiki/includes/src/MediaWiki/Jobs/UpdateJob.php',
    'SMW\\MediaWiki\\LazyDBConnectionProvider' => $IP . '/extensions/SemanticMediaWiki/includes/src/MediaWiki/LazyDBConnectionProvider.php',
    'SMW\\MediaWiki\\MwTitleLookup' => $IP . '/extensions/SemanticMediaWiki/includes/src/MediaWiki/MwTitleLookup.php',
    'SMW\\MessageFormatter' => $IP . '/extensions/SemanticMediaWiki/includes/formatters/MessageFormatter.php',
    'SMW\\MessageReporter' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/MessageReporter.php',
    'SMW\\NamespaceExaminer' => $IP . '/extensions/SemanticMediaWiki/includes/NamespaceExaminer.php',
    'SMW\\NamespaceManager' => $IP . '/extensions/SemanticMediaWiki/includes/NamespaceManager.php',
    'SMW\\NewRevisionFromEditComplete' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/NewRevisionFromEditComplete.php',
    'SMW\\NullDependencyContainer' => $IP . '/extensions/SemanticMediaWiki/includes/dic/NullDependencyContainer.php',
    'SMW\\NullPropertyAnnotator' => $IP . '/extensions/SemanticMediaWiki/includes/annotator/NullPropertyAnnotator.php',
    'SMW\\ObjectDictionary' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/ObjectDictionary.php',
    'SMW\\ObjectStorage' => $IP . '/extensions/SemanticMediaWiki/includes/ObjectStorage.php',
    'SMW\\Observable' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/Observable.php',
    'SMW\\ObservableDispatcher' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/ObservableDispatcher.php',
    'SMW\\ObservableMessageReporter' => $IP . '/extensions/SemanticMediaWiki/includes/ObservableMessageReporter.php',
    'SMW\\ObservableSubject' => $IP . '/extensions/SemanticMediaWiki/includes/ObservableSubject.php',
    'SMW\\ObservableSubjectDispatcher' => $IP . '/extensions/SemanticMediaWiki/includes/ObservableSubjectDispatcher.php',
    'SMW\\Observer' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/Observer.php',
    'SMW\\OutputPageParserOutput' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/OutputPageParserOutput.php',
    'SMW\\PageInfoProvider' => $IP . '/extensions/SemanticMediaWiki/includes/annotator/PageInfoProvider.php',
    'SMW\\ParameterFormatterFactory' => $IP . '/extensions/SemanticMediaWiki/includes/formatters/ParameterFormatterFactory.php',
    'SMW\\ParameterInput' => $IP . '/extensions/SemanticMediaWiki/includes/ParameterInput.php',
    'SMW\\ParserAfterTidy' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/ParserAfterTidy.php',
    'SMW\\ParserData' => $IP . '/extensions/SemanticMediaWiki/includes/ParserData.php',
    'SMW\\ParserFunctionFactory' => $IP . '/extensions/SemanticMediaWiki/includes/parserhooks/ParserFunctionFactory.php',
    'SMW\\ParserParameterFormatter' => $IP . '/extensions/SemanticMediaWiki/includes/formatters/ParserParameterFormatter.php',
    'SMW\\PredefinedPropertyAnnotator' => $IP . '/extensions/SemanticMediaWiki/includes/annotator/PredefinedPropertyAnnotator.php',
    'SMW\\Profiler' => $IP . '/extensions/SemanticMediaWiki/includes/Profiler.php',
    'SMW\\PropertiesQueryPage' => $IP . '/extensions/SemanticMediaWiki/includes/querypages/PropertiesQueryPage.php',
    'SMW\\PropertyAnnotator' => $IP . '/extensions/SemanticMediaWiki/includes/annotator/PropertyAnnotator.php',
    'SMW\\PropertyAnnotatorDecorator' => $IP . '/extensions/SemanticMediaWiki/includes/annotator/PropertyAnnotatorDecorator.php',
    'SMW\\PropertyTypeComparator' => $IP . '/extensions/SemanticMediaWiki/includes/PropertyTypeComparator.php',
    'SMW\\QueryPage' => $IP . '/extensions/SemanticMediaWiki/includes/querypages/QueryPage.php',
    'SMW\\Query\\Profiler\\DescriptionProfile' => $IP . '/extensions/SemanticMediaWiki/includes/query/profiler/DescriptionProfile.php',
    'SMW\\Query\\Profiler\\DurationProfile' => $IP . '/extensions/SemanticMediaWiki/includes/query/profiler/DurationProfile.php',
    'SMW\\Query\\Profiler\\FormatProfile' => $IP . '/extensions/SemanticMediaWiki/includes/query/profiler/FormatProfile.php',
    'SMW\\Query\\Profiler\\NullProfile' => $IP . '/extensions/SemanticMediaWiki/includes/query/profiler/NullProfile.php',
    'SMW\\Query\\Profiler\\ProfileAnnotator' => $IP . '/extensions/SemanticMediaWiki/includes/query/profiler/ProfileAnnotator.php',
    'SMW\\Query\\Profiler\\ProfileAnnotatorDecorator' => $IP . '/extensions/SemanticMediaWiki/includes/query/profiler/ProfileAnnotatorDecorator.php',
    'SMW\\RecurringEvents' => $IP . '/extensions/SemanticMediaWiki/includes/RecurringEvents.php',
    'SMW\\RecurringEventsParserFunction' => $IP . '/extensions/SemanticMediaWiki/includes/parserhooks/RecurringEventsParserFunction.php',
    'SMW\\RedirectPropertyAnnotator' => $IP . '/extensions/SemanticMediaWiki/includes/annotator/RedirectPropertyAnnotator.php',
    'SMW\\ResultCollector' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/ResultCollector.php',
    'SMW\\ResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/ResultPrinter.php',
    'SMW\\SQLStore\\PropertiesCollector' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/PropertiesCollector.php',
    'SMW\\SQLStore\\PropertyStatisticsTable' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/PropertyStatisticsTable.php',
    'SMW\\SQLStore\\PropertyTableDefinitionBuilder' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/PropertyTableDefinitionBuilder.php',
    'SMW\\SQLStore\\SimplePropertyStatisticsRebuilder' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/SimplePropertyStatisticsRebuilder.php',
    'SMW\\SQLStore\\StatisticsCollector' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/StatisticsCollector.php',
    'SMW\\SQLStore\\TableDefinition' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/TableDefinition.php',
    'SMW\\SQLStore\\UnusedPropertiesCollector' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/UnusedPropertiesCollector.php',
    'SMW\\SQLStore\\WantedPropertiesCollector' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SQLStore/WantedPropertiesCollector.php',
    'SMW\\SemanticData' => $IP . '/extensions/SemanticMediaWiki/includes/SemanticData.php',
    'SMW\\SerializerFactory' => $IP . '/extensions/SemanticMediaWiki/includes/serializer/SerializerFactory.php',
    'SMW\\Serializers\\QueryResultSerializer' => $IP . '/extensions/SemanticMediaWiki/includes/serializer/Serializers/QueryResultSerializer.php',
    'SMW\\Serializers\\SemanticDataSerializer' => $IP . '/extensions/SemanticMediaWiki/includes/serializer/Serializers/SemanticDataSerializer.php',
    'SMW\\Serializers\\Serializer' => $IP . '/extensions/SemanticMediaWiki/includes/serializer/Serializer.php',
    'SMW\\SetParserFunction' => $IP . '/extensions/SemanticMediaWiki/includes/parserhooks/SetParserFunction.php',
    'SMW\\Settings' => $IP . '/extensions/SemanticMediaWiki/includes/Settings.php',
    'SMW\\Setup' => $IP . '/extensions/SemanticMediaWiki/includes/Setup.php',
    'SMW\\SharedDependencyContainer' => $IP . '/extensions/SemanticMediaWiki/includes/dic/SharedDependencyContainer.php',
    'SMW\\ShowParserFunction' => $IP . '/extensions/SemanticMediaWiki/includes/parserhooks/ShowParserFunction.php',
    'SMW\\SimpleDependencyBuilder' => $IP . '/extensions/SemanticMediaWiki/includes/dic/SimpleDependencyBuilder.php',
    'SMW\\SimpleDictionary' => $IP . '/extensions/SemanticMediaWiki/includes/SimpleDictionary.php',
    'SMW\\SkinAfterContent' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/SkinAfterContent.php',
    'SMW\\SortKeyPropertyAnnotator' => $IP . '/extensions/SemanticMediaWiki/includes/annotator/SortKeyPropertyAnnotator.php',
    'SMW\\SpecialConcepts' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SpecialConcepts.php',
    'SMW\\SpecialPage' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SpecialPage.php',
    'SMW\\SpecialProperties' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SpecialProperties.php',
    'SMW\\SpecialSemanticStatistics' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SpecialSemanticStatistics.php',
    'SMW\\SpecialStatsAddExtra' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/SpecialStatsAddExtra.php',
    'SMW\\SpecialUnusedProperties' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SpecialUnusedProperties.php',
    'SMW\\SpecialWantedProperties' => $IP . '/extensions/SemanticMediaWiki/includes/specials/SpecialWantedProperties.php',
    'SMW\\Store' => $IP . '/extensions/SemanticMediaWiki/includes/storage/SMW_Store.php',
    'SMW\\StoreFactory' => $IP . '/extensions/SemanticMediaWiki/includes/storage/StoreFactory.php',
    'SMW\\StoreUpdater' => $IP . '/extensions/SemanticMediaWiki/includes/StoreUpdater.php',
    'SMW\\Store\\CacheableResultCollector' => $IP . '/extensions/SemanticMediaWiki/includes/storage/CacheableResultCollector.php',
    'SMW\\Store\\Maintenance\\ConceptCacheRebuilder' => $IP . '/extensions/SemanticMediaWiki/includes/src/Store/Maintenance/ConceptCacheRebuilder.php',
    'SMW\\Store\\Maintenance\\DataRebuilder' => $IP . '/extensions/SemanticMediaWiki/includes/src/Store/Maintenance/DataRebuilder.php',
    'SMW\\Store\\PropertyStatisticsRebuilder' => $IP . '/extensions/SemanticMediaWiki/includes/storage/PropertyStatisticsRebuilder.php',
    'SMW\\Store\\PropertyStatisticsStore' => $IP . '/extensions/SemanticMediaWiki/includes/storage/PropertyStatisticsStore.php',
    'SMW\\Subobject' => $IP . '/extensions/SemanticMediaWiki/includes/Subobject.php',
    'SMW\\SubobjectParserFunction' => $IP . '/extensions/SemanticMediaWiki/includes/parserhooks/SubobjectParserFunction.php',
    'SMW\\TableFormatter' => $IP . '/extensions/SemanticMediaWiki/includes/formatters/TableFormatter.php',
    'SMW\\TableResultPrinter' => $IP . '/extensions/SemanticMediaWiki/includes/queryprinters/TableResultPrinter.php',
    'SMW\\TitleAccess' => $IP . '/extensions/SemanticMediaWiki/includes/interfaces/TitleAccess.php',
    'SMW\\TitleMoveComplete' => $IP . '/extensions/SemanticMediaWiki/includes/hooks/TitleMoveComplete.php',
    'SMW\\UnknownIdException' => $IP . '/extensions/SemanticMediaWiki/includes/exceptions/UnknownIdException.php',
    'SMW\\UnusedPropertiesQueryPage' => $IP . '/extensions/SemanticMediaWiki/includes/querypages/UnusedPropertiesQueryPage.php',
    'SMW\\UpdateObserver' => $IP . '/extensions/SemanticMediaWiki/includes/UpdateObserver.php',
    'SMW\\WantedPropertiesQueryPage' => $IP . '/extensions/SemanticMediaWiki/includes/querypages/WantedPropertiesQueryPage.php',
    'SRFArray' => $IP . '/extensions/SemanticResultFormats/formats/array/SRF_Array.php',
    'SRFBibTeX' => $IP . '/extensions/SemanticResultFormats/formats/bibtex/SRF_BibTeX.php',
    'SRFBoilerplate' => $IP . '/extensions/SemanticResultFormats/formats/boilerplate/SRF_Boilerplate.php',
    'SRFCHistoricalDate' => $IP . '/extensions/SemanticResultFormats/formats/calendar/SRFC_HistoricalDate.php',
    'SRFCalendar' => $IP . '/extensions/SemanticResultFormats/formats/calendar/SRF_Calendar.php',
    'SRFD3Chart' => $IP . '/extensions/SemanticResultFormats/formats/d3/SRF_D3Chart.php',
    'SRFDygraphs' => $IP . '/extensions/SemanticResultFormats/formats/dygraphs/SRF_Dygraphs.php',
    'SRFExhibit' => $IP . '/extensions/SemanticResultFormats/formats/Exhibit/SRF_Exhibit.php',
    'SRFFiltered' => $IP . '/extensions/SemanticResultFormats/formats/Filtered/SRF_Filtered.php',
    'SRFGoogleBar' => $IP . '/extensions/SemanticResultFormats/formats/googlecharts/SRF_GoogleBar.php',
    'SRFGooglePie' => $IP . '/extensions/SemanticResultFormats/formats/googlecharts/SRF_GooglePie.php',
    'SRFGraph' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Graph.php',
    'SRFHash' => $IP . '/extensions/SemanticResultFormats/formats/array/SRF_Hash.php',
    'SRFHooks' => $IP . '/extensions/SemanticResultFormats/SemanticResultFormats.hooks.php',
    'SRFIncoming' => $IP . '/extensions/SemanticResultFormats/formats/incoming/SRF_Incoming.php',
    'SRFJitGraph' => $IP . '/extensions/SemanticResultFormats/formats/JitGraph/SRF_JitGraph.php',
    'SRFListWidget' => $IP . '/extensions/SemanticResultFormats/formats/widget/SRF_ListWidget.php',
    'SRFMath' => $IP . '/extensions/SemanticResultFormats/formats/math/SRF_Math.php',
    'SRFOutline' => $IP . '/extensions/SemanticResultFormats/formats/outline/SRF_Outline.php',
    'SRFOutlineItem' => $IP . '/extensions/SemanticResultFormats/formats/outline/SRF_Outline.php',
    'SRFOutlineTree' => $IP . '/extensions/SemanticResultFormats/formats/outline/SRF_Outline.php',
    'SRFPageWidget' => $IP . '/extensions/SemanticResultFormats/formats/widget/SRF_PageWidget.php',
    'SRFParserFunctions' => $IP . '/extensions/SemanticResultFormats/SemanticResultFormats.parser.php',
    'SRFPloticus' => $IP . '/extensions/SemanticResultFormats/formats/ploticus/SRF_Ploticus.php',
    'SRFPloticusVBar' => $IP . '/extensions/SemanticResultFormats/formats/ploticus/SRF_PloticusVBar.php',
    'SRFProcess' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'SRFSlideShow' => $IP . '/extensions/SemanticResultFormats/formats/slideshow/SRF_SlideShow.php',
    'SRFSlideShowApi' => $IP . '/extensions/SemanticResultFormats/formats/slideshow/SRF_SlideShowApi.php',
    'SRFSparkline' => $IP . '/extensions/SemanticResultFormats/formats/sparkline/SRF_Sparkline.php',
    'SRFTime' => $IP . '/extensions/SemanticResultFormats/formats/time/SRF_Time.php',
    'SRFTimeline' => $IP . '/extensions/SemanticResultFormats/formats/timeline/SRF_Timeline.php',
    'SRFTimeseries' => $IP . '/extensions/SemanticResultFormats/formats/timeseries/SRF_Timeseries.php',
    'SRFTree' => $IP . '/extensions/SemanticResultFormats/formats/tree/SRF_Tree.php',
    'SRFTreeElement' => $IP . '/extensions/SemanticResultFormats/formats/tree/SRF_Tree.php',
    'SRFUtils' => $IP . '/extensions/SemanticResultFormats/SemanticResultFormats.utils.php',
    'SRFValueRank' => $IP . '/extensions/SemanticResultFormats/formats/valuerank/SRF_ValueRank.php',
    'SRF\\DataTables' => $IP . '/extensions/SemanticResultFormats/formats/datatables/DataTables.php',
    'SRF\\EventCalendar' => $IP . '/extensions/SemanticResultFormats/formats/calendar/EventCalendar.php',
    'SRF\\Gallery' => $IP . '/extensions/SemanticResultFormats/formats/gallery/Gallery.php',
    'SRF\\MediaPlayer' => $IP . '/extensions/SemanticResultFormats/formats/media/MediaPlayer.php',
    'SRF\\SRFExcel' => $IP . '/extensions/SemanticResultFormats/formats/excel/SRF_Excel.php',
    'SRF\\TagCloud' => $IP . '/extensions/SemanticResultFormats/formats/tagcloud/TagCloud.php',
    'SRF_FF_Distance' => $IP . '/extensions/SemanticResultFormats/formats/Filtered/filters/SRF_FF_Distance.php',
    'SRF_FF_Value' => $IP . '/extensions/SemanticResultFormats/formats/Filtered/filters/SRF_FF_Value.php',
    'SRF_FV_Calendar' => $IP . '/extensions/SemanticResultFormats/formats/Filtered/views/SRF_FV_Calendar.php',
    'SRF_FV_List' => $IP . '/extensions/SemanticResultFormats/formats/Filtered/views/SRF_FV_List.php',
    'SRF_Filtered_Filter' => $IP . '/extensions/SemanticResultFormats/formats/Filtered/filters/SRF_Filtered_Filter.php',
    'SRF_Filtered_Item' => $IP . '/extensions/SemanticResultFormats/formats/Filtered/SRF_Filtered_Item.php',
    'SRF_Filtered_View' => $IP . '/extensions/SemanticResultFormats/formats/Filtered/views/SRF_Filtered_View.php',
    'SRFiCalendar' => $IP . '/extensions/SemanticResultFormats/formats/icalendar/SRF_iCalendar.php',
    'SRFjqPlot' => $IP . '/extensions/SemanticResultFormats/formats/jqplot/SRF_jqPlot.php',
    'SRFjqPlotChart' => $IP . '/extensions/SemanticResultFormats/formats/jqplot/SRF_jqPlotChart.php',
    'SRFjqPlotSeries' => $IP . '/extensions/SemanticResultFormats/formats/jqplot/SRF_jqPlotSeries.php',
    'SRFvCard' => $IP . '/extensions/SemanticResultFormats/formats/vcard/SRF_vCard.php',
    'SRFvCardAddress' => $IP . '/extensions/SemanticResultFormats/formats/vcard/SRF_vCard.php',
    'SRFvCardEmail' => $IP . '/extensions/SemanticResultFormats/formats/vcard/SRF_vCard.php',
    'SRFvCardEntry' => $IP . '/extensions/SemanticResultFormats/formats/vcard/SRF_vCard.php',
    'SRFvCardTel' => $IP . '/extensions/SemanticResultFormats/formats/vcard/SRF_vCard.php',
    'SemanticMapsHooks' => $IP . '/extensions/SemanticMaps/SemanticMaps.hooks.php',
    'SemanticMaps\\FormInputsSetup' => $IP . '/extensions/SemanticMaps/src/forminputs/FormInputsSetup.php',
    'SequentialEdge' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'SpecialMapEditor' => $IP . '/extensions/Maps/includes/specials/SpecialMapEditor.php',
    'SplitConditionalOrEdge' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'SplitEdge' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'SplitExclusiveOrEdge' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'SplitParallelEdge' => $IP . '/extensions/SemanticResultFormats/formats/graphviz/SRF_Process.php',
    'ValueFormatters\\Test\\ValueFormatterTestBase' => $vendorDir . '/data-values/interfaces/tests/ValueFormatters/ValueFormatterTestBase.php',
    'ValueParsers\\Test\\BoolParserTest' => $vendorDir . '/data-values/common/tests/ValueParsers/BoolParserTest.php',
    'ValueParsers\\Test\\FloatParserTest' => $vendorDir . '/data-values/common/tests/ValueParsers/FloatParserTest.php',
    'ValueParsers\\Test\\IntParserTest' => $vendorDir . '/data-values/common/tests/ValueParsers/IntParserTest.php',
    'ValueParsers\\Test\\NullParserTest' => $vendorDir . '/data-values/common/tests/ValueParsers/NullParserTest.php',
    'ValueParsers\\Test\\StringValueParserTest' => $vendorDir . '/data-values/common/tests/ValueParsers/StringValueParserTest.php',
    'ValueParsers\\Test\\ValueParserTestBase' => $vendorDir . '/data-values/common/tests/ValueParsers/ValueParserTestBase.php',
    'iBubbleMapElement' => $IP . '/extensions/Maps/includes/properties/iBubbleMapElement.php',
    'iFillableMapElement' => $IP . '/extensions/Maps/includes/properties/iFillableMapElement.php',
    'iHoverableMapElement' => $IP . '/extensions/Maps/includes/properties/iHoverableMapElement.php',
    'iLinkableMapElement' => $IP . '/extensions/Maps/includes/properties/iLinkableMapElement.php',
    'iMappingService' => $IP . '/extensions/Maps/includes/iMappingService.php',
    'iStrokableMapElement' => $IP . '/extensions/Maps/includes/properties/iStrokableMapElement.php',

	// Additional class mappings for Semantic Bundle - in Composer, these
	// mappings are handled via other files in a more programmatic way
	// (such as loading all the files in one directory with one command),
	// but those require Composer functions that we don't have.

	// ParamProcessor
	'ParamProcessor\IParam' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/IParam.php',
	'ParamProcessor\IParamDefinition' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/IParamDefinition.php',
	'ParamProcessor\Param' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/Param.php',
	'ParamProcessor\ParamDefinition' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/ParamDefinition.php',
	'ParamProcessor\ProcessedParam' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/ProcessedParam.php',
	'ParamProcessor\ParamDefinitionFactory' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/ParamDefinitionFactory.php',
	'ParamProcessor\ProcessingResult' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/ProcessingResult.php',
	'ParamProcessor\ProcessingError' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/ProcessingError.php',
	'ParamProcessor\ProcessingErrorHandler' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/ProcessingErrorHandler.php',
	'ParamProcessor\Options' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/Options.php',
	'ParamProcessor\TopologicalSort' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/TopologicalSort.php',
	'ParamProcessor\Definition\StringParam' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/Definition/StringParam.php',
	'ParamProcessor\Definition\DimensionParam' => $vendorDir . '/param-processor/param-processor/src/ParamProcessor/Definition/DimensionParam.php',

	// Semantic MediaWiki
	'SMW\JobBase' => $IP . '/extensions/SemanticMediaWiki/includes/jobs/JobBase.php',
	'SMW\UpdateJob' => $IP . '/extensions/SemanticMediaWiki/includes/jobs/UpdateJob.php',
	'SMW\RefreshJob' => $IP . '/extensions/SemanticMediaWiki/includes/jobs/RefreshJob.php',
	'SMWParamSource' => $IP . '/extensions/SemanticMediaWiki/includes/params/SMW_ParamSource.php',

	// ValueValidators
	'ValueValidators\\ValueValidator' => $vendorDir . '/data-values/interfaces/src/ValueValidators/ValueValidator.php',
	'ValueValidators\\ValueValidatorObject' => $vendorDir . '/data-values/interfaces/src/ValueValidators/ValueValidatorObject.php',
	'ValueValidators\\Result' => $vendorDir . '/data-values/interfaces/src/ValueValidators/Result.php',
	'ValueValidators\\NullValidator' => $vendorDir . '/data-values/validators/src/NullValidator.php',
	'ValueValidators\\StringValidator' => $vendorDir . '/data-values/validators/src/StringValidator.php',
	'ValueValidators\\RangeValidator' => $vendorDir . '/data-values/validators/src/RangeValidator.php',
	'ValueValidators\\Error' => $vendorDir . '/data-values/interfaces/src/ValueValidators/Error.php',
	'ValueValidators\\TitleValidator' => $vendorDir . '/data-values/validators/src/TitleValidator.php',
	'ValueValidators\\RangeValidator' => $vendorDir . '/data-values/validators/src/RangeValidator.php',
	'ValueValidators\\ListValidator' => $vendorDir . '/data-values/validators/src/ListValidator.php',
	'ValueValidators\\DimensionValidator' => $vendorDir . '/data-values/validators/src/DimensionValidator.php',

	// ValueParsers
	'ValueParsers\\ValueParser' => $vendorDir . '/data-values/interfaces/src/ValueParsers/ValueParser.php',
	'ValueParsers\\NullParser' => $vendorDir . '/data-values/common/src/ValueParsers/NullParser.php',
	'ValueParsers\\IntParser' => $vendorDir . '/data-values/common/src/ValueParsers/IntParser.php',
	'ValueParsers\\StringValueParser' => $vendorDir . '/data-values/common/src/ValueParsers/StringValueParser.php',
	'ValueParsers\\ParserOptions' => $vendorDir . '/data-values/interfaces/src/ValueParsers/ParserOptions.php',
	'ValueParsers\\ParseException' => $vendorDir . '/data-values/interfaces/src/ValueParsers/ParseException.php',
	'ValueParsers\\FloatParser' => $vendorDir . '/data-values/common/src/ValueParsers/FloatParser.php',
	'ValueParsers\\BoolParser' => $vendorDir . '/data-values/common/src/ValueParsers/BoolParser.php',
	'ValueParsers\\TimeParser' => $vendorDir . '/data-values/time/src/ValueParsers/TimeParser.php',
	'ValueParsers\\CalendarModelParser' => $vendorDir . '/data-values/time/src/ValueParsers/CalendarModelParser.php',
	'ValueParsers\\GeoCoordinateParser' => $vendorDir . '/data-values/geo/src/ValueParsers/GeoCoordinateParser.php',
	'ValueParsers\\FloatCoordinateParser' => $vendorDir . '/data-values/geo/src/ValueParsers/FloatCoordinateParser.php',
	'ValueParsers\\GeoCoordinateParserBase' => $vendorDir . '/data-values/geo/src/ValueParsers/GeoCoordinateParserBase.php',
	'ValueParsers\\DmsCoordinateParser' => $vendorDir . '/data-values/geo/src/ValueParsers/DmsCoordinateParser.php',
	'ValueParsers\\DmCoordinateParser' => $vendorDir . '/data-values/geo/src/ValueParsers/DmCoordinateParser.php',
	'ValueParsers\\DdCoordinateParser' => $vendorDir . '/data-values/geo/src/ValueParsers/DdCoordinateParser.php',

	// DataValues
	'DataValues\\DataValue' => $vendorDir . '/data-values/data-values/src/DataValues/DataValue.php',
	'DataValues\\DataValueObject' => $vendorDir . '/data-values/data-values/src/DataValues/DataValueObject.php',
	'DataValues\\UnknownValue' => $vendorDir . '/data-values/data-values/src/DataValues/UnknownValue.php',
	'DataValues\\NumberValue' => $vendorDir . '/data-values/data-values/src/DataValues/NumberValue.php',
	'DataValues\\BooleanValue' => $vendorDir . '/data-values/data-values/src/DataValues/BooleanValue.php',
	'DataValues\\IllegalValueException' => $vendorDir . '/data-values/data-values/src/DataValues/IllegalValueException.php',
	'DataValues\\StringValue' => $vendorDir . '/data-values/data-values/src/DataValues/StringValue.php',
	'DataValues\\UnDeserializableValue' => $vendorDir . '/data-values/data-values/src/DataValues/UnDeserializableValue.php',
	'DataValues\\UnknownValue' => $vendorDir . '/data-values/data-values/src/DataValues/UnknownValue.php',
	'DataValues\\TimeValues' => $vendorDir . '/data-values/time/src/DataValues/TimeValue.php',
	'DataValues\\GlobeCoordinateValue' => $vendorDir . '/data-values/geo/src/DataValues/GlobeCoordinateValue.php',
	'DataValues\\LatLongValue' => $vendorDir . '/data-values/geo/src/DataValues/LatLongValue.php',

	// ValueFormatters
	'ValueFormatters\\FormatterOptions' => $vendorDir . '/data-values/interfaces/src/ValueFormatters/FormatterOptions.php',
	'ValueFormatters\\GeoCoordinateFormatter' => $vendorDir . '/data-values/geo/src/ValueFormatters/GeoCoordinateFormatter.php',
	'ValueFormatters\\ValueFormatterBase' => $vendorDir . '/data-values/interfaces/src/ValueFormatters/ValueFormatterBase.php',
	'ValueFormatters\\ValueFormatter' => $vendorDir . '/data-values/interfaces/src/ValueFormatters/ValueFormatter.php',
);
